Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.amp.axf.core
Enum LifeCycleState

    java.lang.Object
      java.lang.Enum<LifeCycleState>
          org.eclipse.amp.axf.core.LifeCycleState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LifeCycleState>

    public enum LifeCycleState

extends java.lang.Enum<LifeCycleState>

The Enum LifeCycleState.

Enum Constant Summary
`CREATE`
`END`
`ENDING`
`INITIALIZE`
`OBSERVED`
`SETUP`
`START`
`STOP`
`UPDATE`

Method Summary
`static LifeCycleState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LifeCycleState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OBSERVED

    public static final LifeCycleState OBSERVED

### CREATE

    public static final LifeCycleState CREATE

### INITIALIZE

    public static final LifeCycleState INITIALIZE

### SETUP

    public static final LifeCycleState SETUP

### START

    public static final LifeCycleState START

### UPDATE

    public static final LifeCycleState UPDATE

### STOP

    public static final LifeCycleState STOP

### ENDING

    public static final LifeCycleState ENDING

### END

    public static final LifeCycleState END

Method Detail

### values

    public static LifeCycleState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LifeCycleState c : LifeCycleState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LifeCycleState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD